Skip to main content

process-and-auditing-service (24.3.22)

Download OpenAPI specification:Download

process-controller

getProcessById

Signing process details request

path Parameters
processId
required
string
Example: 9dce9e72-6bf9-4874-8dd1-44342027dd4f

Signing process identificator.

Responses

updateProcess

Signing process update request

path Parameters
processId
required
string
Example: 9dce9e72-6bf9-4874-8dd1-44342027dd4f

Signing process identificator.

Request Body schema: application/json
required
id
string

Resource identificator.

createdAt
string <date-time>

Process creation timestamp.

Array of objects (SigningProcessStep)

Ordered steps in this signing workflow.

processInitiatorEmail
string

Email of the process initiator.

documentId
string

Document identificator.

documentName
string

Display name of the related document.

initiator
string

Username or code of the initiator.

comment
string

General process comment.

canceled
boolean

Indicates whether process was canceled.

status
string
Enum: "PENDING" "STARTED" "COMPLETED" "CANCELED" "DECLINED"

Current process status.

documentType
string

Type/classification of the document.

ownerGroup
string

Owner group for this process.

completedAt
string <date-time>

Completion timestamp when finished.

initiatorName
string

Full display name of the initiator.

totalSigners
integer <int32>

Total number of signers in the process.

totalSigned
integer <int32>

Number of signers who already signed/approved.

Array of objects (ProcessStepSigner)

Flat signer list of the process.

object (SigningProcessStep)

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "signingProcessSteps": [
    • {
      • "id": "string",
      • "processOrder": 0,
      • "stepStatus": "WAITING_FOR_PREVIOUS",
      • "dueDate": "2019-08-24T14:15:22Z",
      • "processStepSigners": [
        • {
          • "id": "string",
          • "signerName": "string",
          • "signerCountry": "string",
          • "signerPersonalCode": "string",
          • "signerEmail": "string",
          • "signerRole": "VIEWER",
          • "signerComment": "string",
          • "commentForSigner": "string",
          • "signingStatus": "WAITING_FOR_PROCESS",
          • "signerNotification": true,
          • "signerLanguage": "string",
          • "anonymous": true
          }
        ]
      }
    ],
  • "processInitiatorEmail": "string",
  • "documentId": "string",
  • "documentName": "string",
  • "initiator": "string",
  • "comment": "string",
  • "canceled": true,
  • "status": "PENDING",
  • "documentType": "string",
  • "ownerGroup": "string",
  • "completedAt": "2019-08-24T14:15:22Z",
  • "initiatorName": "string",
  • "totalSigners": 0,
  • "totalSigned": 0,
  • "signers": [
    • {
      • "id": "string",
      • "signerName": "string",
      • "signerCountry": "string",
      • "signerPersonalCode": "string",
      • "signerEmail": "string",
      • "signerRole": "VIEWER",
      • "signerComment": "string",
      • "commentForSigner": "string",
      • "signingStatus": "WAITING_FOR_PROCESS",
      • "signerNotification": true,
      • "signerLanguage": "string",
      • "anonymous": true
      }
    ],
  • "currentInProgressStep": {
    • "id": "string",
    • "processOrder": 0,
    • "stepStatus": "WAITING_FOR_PREVIOUS",
    • "dueDate": "2019-08-24T14:15:22Z",
    • "processStepSigners": [
      • {
        • "id": "string",
        • "signerName": "string",
        • "signerCountry": "string",
        • "signerPersonalCode": "string",
        • "signerEmail": "string",
        • "signerRole": "VIEWER",
        • "signerComment": "string",
        • "commentForSigner": "string",
        • "signingStatus": "WAITING_FOR_PROCESS",
        • "signerNotification": true,
        • "signerLanguage": "string",
        • "anonymous": true
        }
      ]
    }
}

findProcesses

Signing process search request by document and personal code

Request Body schema: application/json
required
documentId
string

Document identificator.

personalCode
string

Personal code used in find query.

Responses

Request samples

Content type
application/json
{
  • "documentId": "string",
  • "personalCode": "string"
}

listProcesses

Signing processes list request

query Parameters
required
object (Pageable)

Pagination and sorting parameters

createdDateBefore
string <date>
Example: createdDateBefore=2026-02-17

Return records created on or before this date

createdDateAfter
string <date>
Example: createdDateAfter=2026-02-01

Return records created on or after this date

processStatus
string
Example: processStatus=STARTED

Signing process status filter

nameSearch
string
Example: nameSearch=John

Name filter value

emailSearch
string
Example: emailSearch=john.doe@example.com

Email filter value

personalCode
string
Example: personalCode=010190-12345

Person code used to identify signer/customer.

ownerGroup
string
Example: ownerGroup=group-a

Owner group filter

docType
string
Example: docType=CONTRACT

Document type filter

isAdmin
boolean
Example: isAdmin=true

Administrator context flag

Responses

createProcess

Signing process create request

Request Body schema: application/json
required
id
string

Resource identificator.

createdAt
string <date-time>

Process creation timestamp.

Array of objects (SigningProcessStep)

Ordered steps in this signing workflow.

processInitiatorEmail
string

Email of the process initiator.

documentId
string

Document identificator.

documentName
string

Display name of the related document.

initiator
string

Username or code of the initiator.

comment
string

General process comment.

canceled
boolean

Indicates whether process was canceled.

status
string
Enum: "PENDING" "STARTED" "COMPLETED" "CANCELED" "DECLINED"

Current process status.

documentType
string

Type/classification of the document.

ownerGroup
string

Owner group for this process.

completedAt
string <date-time>

Completion timestamp when finished.

initiatorName
string

Full display name of the initiator.

totalSigners
integer <int32>

Total number of signers in the process.

totalSigned
integer <int32>

Number of signers who already signed/approved.

Array of objects (ProcessStepSigner)

Flat signer list of the process.

object (SigningProcessStep)

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "signingProcessSteps": [
    • {
      • "id": "string",
      • "processOrder": 0,
      • "stepStatus": "WAITING_FOR_PREVIOUS",
      • "dueDate": "2019-08-24T14:15:22Z",
      • "processStepSigners": [
        • {
          • "id": "string",
          • "signerName": "string",
          • "signerCountry": "string",
          • "signerPersonalCode": "string",
          • "signerEmail": "string",
          • "signerRole": "VIEWER",
          • "signerComment": "string",
          • "commentForSigner": "string",
          • "signingStatus": "WAITING_FOR_PROCESS",
          • "signerNotification": true,
          • "signerLanguage": "string",
          • "anonymous": true
          }
        ]
      }
    ],
  • "processInitiatorEmail": "string",
  • "documentId": "string",
  • "documentName": "string",
  • "initiator": "string",
  • "comment": "string",
  • "canceled": true,
  • "status": "PENDING",
  • "documentType": "string",
  • "ownerGroup": "string",
  • "completedAt": "2019-08-24T14:15:22Z",
  • "initiatorName": "string",
  • "totalSigners": 0,
  • "totalSigned": 0,
  • "signers": [
    • {
      • "id": "string",
      • "signerName": "string",
      • "signerCountry": "string",
      • "signerPersonalCode": "string",
      • "signerEmail": "string",
      • "signerRole": "VIEWER",
      • "signerComment": "string",
      • "commentForSigner": "string",
      • "signingStatus": "WAITING_FOR_PROCESS",
      • "signerNotification": true,
      • "signerLanguage": "string",
      • "anonymous": true
      }
    ],
  • "currentInProgressStep": {
    • "id": "string",
    • "processOrder": 0,
    • "stepStatus": "WAITING_FOR_PREVIOUS",
    • "dueDate": "2019-08-24T14:15:22Z",
    • "processStepSigners": [
      • {
        • "id": "string",
        • "signerName": "string",
        • "signerCountry": "string",
        • "signerPersonalCode": "string",
        • "signerEmail": "string",
        • "signerRole": "VIEWER",
        • "signerComment": "string",
        • "commentForSigner": "string",
        • "signingStatus": "WAITING_FOR_PROCESS",
        • "signerNotification": true,
        • "signerLanguage": "string",
        • "anonymous": true
        }
      ]
    }
}

cancelProcess

Signing process cancel request

path Parameters
processId
required
string
Example: 9dce9e72-6bf9-4874-8dd1-44342027dd4f

Signing process identificator.

Responses

cancelProcessWithMessageControl

Signing process cancel request with notification control

path Parameters
processId
required
string
Example: 9dce9e72-6bf9-4874-8dd1-44342027dd4f

Signing process identificator.

disableMessages
required
boolean

Disable notification emails when true

Responses

listProcessesByStepSignerId

Signing processes list request by step signer code

path Parameters
stepsignerId
required
string
Example: ef0174d7-f2c8-4f2f-8de8-f327f0fef922

Step signer identificator.

Responses

authorizeProcessAccess

Signing process authorization request by signer and person identity

path Parameters
signerId
required
string
Example: ef0174d7-f2c8-4f2f-8de8-f327f0fef922

Signer identificator.

personCode
required
string
Example: 010190-12345

Person code used to identify signer in external portal request.

country
required
string
Example: LV

Country code of personal code (for example LV, LT, EE)

Responses

listProcessesByDocumentId

Signing processes list request by document code

path Parameters
documentId
required
string
Example: 3fb49d3b-52c5-4b1d-ac95-c77e34eb6a0c

Document identificator.

Responses

deleteProcess

Signing process delete request

path Parameters
processId
required
string
Example: 9dce9e72-6bf9-4874-8dd1-44342027dd4f

Signing process identificator.

Responses

process-step-controller

updateProcessStep

Signing process step update request

path Parameters
processStepId
required
string
Example: 6aaf67bc-30be-4d2e-b1fe-a4d9aefef408

Signing process step identificator.

Request Body schema: application/json
required
id
string

Resource identificator.

processOrder
integer <int32>

Execution order of the step in workflow.

stepStatus
string
Enum: "WAITING_FOR_PREVIOUS" "STARTED" "CANCELED" "COMPLETED"

Current step status.

dueDate
string <date-time>

Due date/time for this step.

Array of objects (ProcessStepSigner)

Signers assigned to this step.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "processOrder": 0,
  • "stepStatus": "WAITING_FOR_PREVIOUS",
  • "dueDate": "2019-08-24T14:15:22Z",
  • "processStepSigners": [
    • {
      • "id": "string",
      • "signerName": "string",
      • "signerCountry": "string",
      • "signerPersonalCode": "string",
      • "signerEmail": "string",
      • "signerRole": "VIEWER",
      • "signerComment": "string",
      • "commentForSigner": "string",
      • "signingStatus": "WAITING_FOR_PROCESS",
      • "signerNotification": true,
      • "signerLanguage": "string",
      • "anonymous": true
      }
    ]
}

document-profile-controller

getDocumentProfileById

Document profile details request

path Parameters
id
required
string
Example: 2e47f112-1251-43e4-8e91-184ac94e1a5f

Resource identificator.

Responses

updateDocumentProfile

Document profile update request

path Parameters
id
required
string
Example: 2e47f112-1251-43e4-8e91-184ac94e1a5f

Resource identificator.

Request Body schema: application/json
required
name
string

Document profile name.

documentType
string

Document type for this profile.

ownerGroup
string

Owner group for this profile.

Array of objects (DocumentAttribute)

Required/optional document attributes.

seal
string

Seal profile code.

isSealRequired
boolean

Indicates whether a seal is required.

profileorder
integer <int32>

Display order of the profile.

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "documentType": "string",
  • "ownerGroup": "string",
  • "attributes": [
    • {
      • "id": "string",
      • "createdAt": "2019-08-24T14:15:22Z",
      • "type": "string",
      • "name": "string",
      • "required": true
      }
    ],
  • "seal": "string",
  • "isSealRequired": true,
  • "profileorder": 0
}

deleteDocumentProfile

Document profile delete request

path Parameters
id
required
string
Example: 2e47f112-1251-43e4-8e91-184ac94e1a5f

Resource identificator.

Responses

listDocumentProfiles

Document profiles list request

query Parameters
group
string
Example: group=group-a

Group identificator.

Responses

createDocumentProfile

Document profile create request

Request Body schema: application/json
required
name
string

Document profile name.

documentType
string

Document type for this profile.

ownerGroup
string

Owner group for this profile.

Array of objects (DocumentAttribute)

Required/optional document attributes.

seal
string

Seal profile code.

isSealRequired
boolean

Indicates whether a seal is required.

profileorder
integer <int32>

Display order of the profile.

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "documentType": "string",
  • "ownerGroup": "string",
  • "attributes": [
    • {
      • "id": "string",
      • "createdAt": "2019-08-24T14:15:22Z",
      • "type": "string",
      • "name": "string",
      • "required": true
      }
    ],
  • "seal": "string",
  • "isSealRequired": true,
  • "profileorder": 0
}

getDocumentProfileByName

Document profile lookup request by name

query Parameters
name
required
string
Example: name=Default profile

Name value

Responses

document-attribute-controller

getDocumentAttributeById

Document attribute details request

path Parameters
id
required
string
Example: 2e47f112-1251-43e4-8e91-184ac94e1a5f

Resource identificator.

Responses

updateDocumentAttribute

Document attribute update request

path Parameters
id
required
string
Example: 2e47f112-1251-43e4-8e91-184ac94e1a5f

Resource identificator.

Request Body schema: application/json
required
id
string

Resource identificator.

createdAt
string <date-time>

Attribute creation timestamp.

type
string

Attribute data type.

name
string

Attribute name.

required
boolean

Indicates whether attribute is required.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "type": "string",
  • "name": "string",
  • "required": true
}

deleteDocumentAttribute

Document attribute delete request

path Parameters
id
required
string
Example: 2e47f112-1251-43e4-8e91-184ac94e1a5f

Resource identificator.

Responses

listDocumentAttributes

Document attributes list request

Responses

createDocumentAttribute

Document attribute create request

Request Body schema: application/json
required
id
string

Resource identificator.

createdAt
string <date-time>

Attribute creation timestamp.

type
string

Attribute data type.

name
string

Attribute name.

required
boolean

Indicates whether attribute is required.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "type": "string",
  • "name": "string",
  • "required": true
}

contacts-controller

listContacts

Contacts list request

query Parameters
owner
required
string
Example: owner=john.doe

Owner identificator.

group
required
string
Example: group=group-a

Group identificator.

required
object (Pageable)

Pagination and sorting parameters

name
string
Example: name=Default profile

Name value

email
string
Example: email=john.doe@example.com

Email value

personalCode
string
Example: personalCode=010190-12345

Person code used to identify signer/customer.

scope
Array of strings
Items Enum: "PERSONAL" "GROUP" "GLOBAL" "ALL"
Example: scope=PERSONAL

Visibility scope filter

Responses

updateContact

Contact update request

query Parameters
user
required
string
Example: user=john.doe

User identificator.

group
required
string
Example: group=group-a

Group identificator.

Request Body schema: application/json
required
id
string

Resource identificator.

createdAt
string <date-time>

Contact creation timestamp.

name
string

Contact full name.

country
string

Country code of personal code.

personalCode
string

Personal code of the contact.

phone
string

Phone number.

email
string

Email address.

role
string
Enum: "VIEWER" "SIGNER" "APPROVER" "INITIATOR" "ADMINISTRATOR"

Role assigned to the contact.

defaultAnonymous
boolean

Default anonymous signing mode.

owner
string

Owner code.

scope
string
Enum: "PERSONAL" "GROUP" "GLOBAL" "ALL"

Contact visibility scope.

group
string

Owner group code.

language
string

Preferred language code.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "name": "string",
  • "country": "string",
  • "personalCode": "string",
  • "phone": "string",
  • "email": "string",
  • "role": "VIEWER",
  • "defaultAnonymous": true,
  • "owner": "string",
  • "scope": "PERSONAL",
  • "group": "string",
  • "language": "string"
}

createContact

Contact create request

Request Body schema: application/json
required
id
string

Resource identificator.

createdAt
string <date-time>

Contact creation timestamp.

name
string

Contact full name.

country
string

Country code of personal code.

personalCode
string

Personal code of the contact.

phone
string

Phone number.

email
string

Email address.

role
string
Enum: "VIEWER" "SIGNER" "APPROVER" "INITIATOR" "ADMINISTRATOR"

Role assigned to the contact.

defaultAnonymous
boolean

Default anonymous signing mode.

owner
string

Owner code.

scope
string
Enum: "PERSONAL" "GROUP" "GLOBAL" "ALL"

Contact visibility scope.

group
string

Owner group code.

language
string

Preferred language code.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "name": "string",
  • "country": "string",
  • "personalCode": "string",
  • "phone": "string",
  • "email": "string",
  • "role": "VIEWER",
  • "defaultAnonymous": true,
  • "owner": "string",
  • "scope": "PERSONAL",
  • "group": "string",
  • "language": "string"
}

deleteContact

Contact delete request

path Parameters
contactId
required
string
Example: f2d1f4fe-73fb-4d67-a352-7a8af7bc7480

Contact identificator.

query Parameters
user
required
string
Example: user=john.doe

User identificator.

group
required
string
Example: group=group-a

Group identificator.

Responses

templates-controller

listTemplates

Templates list request

query Parameters
owner
required
string
Example: owner=john.doe

Owner identificator.

group
required
string
Example: group=group-a

Group identificator.

required
object (Pageable)

Pagination and sorting parameters

name
string
Example: name=Default profile

Name value

scope
Array of strings
Items Enum: "PERSONAL" "GROUP" "GLOBAL" "ALL"
Example: scope=PERSONAL

Visibility scope filter

Responses

createTemplate

Template create request

Request Body schema: application/json
required
id
string

Resource identificator.

createdAt
string <date-time>

Template creation timestamp.

name
string

Template name.

data
string

Template content payload.

owner
string

Template owner code.

scope
string
Enum: "PERSONAL" "GROUP" "GLOBAL" "ALL"

Template visibility scope.

group
string

Template owner group.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "name": "string",
  • "data": "string",
  • "owner": "string",
  • "scope": "PERSONAL",
  • "group": "string"
}

deleteTemplate

Template delete request

path Parameters
templateId
required
string
Example: 6cf6efb5-69c3-4785-988b-3bfa17949dd1

Template identificator.

query Parameters
user
required
string
Example: user=john.doe

User identificator.

group
required
string
Example: group=group-a

Group identificator.

Responses

message-controller

sendReminders

Reminder messages send request

Responses

sendTestEmail

Test email send request

path Parameters
eventType
required
string
Enum: "PROCESS_STARTED" "PROCESS_CANCELED" "PROCESS_COMPLETED" "PROCESS_UPDATED" "PROCESS_DELETED" "PROCESS_OPENED" "PROCESS_GETALL" "PROCESS_GETONE" "DOCUMENT_CREATE" "DOCUMENT_INFO" "DOCUMENT_DOWNLOAD" "DOCUMENT_DELETE" "DOCUMENT_CREATE_OR_UPDATE" "DOCUMENT_ADDVERSION" "DOCUMENT_UPDATE" "SIGNATURE" "DECLINE" "APPROVE" "TASK_STARTED" "SIGNER_DECLINED" "APPROVER_DECLINED" "SIGNER_SIGNED" "APPROVER_APPROVED" "REMINDER" "FAILURE" "AUDIT_LOGIN_START" "AUDIT_LOGIN_COMPLETED" "AUDIT_LOGIN_FAULT" "AUDIT_EMAIL_REMINDER" "AUTH_COMPLETED" "AUTH_START"

Notification event type

query Parameters
role
required
string
Enum: "VIEWER" "SIGNER" "APPROVER" "INITIATOR" "ADMINISTRATOR"

Recipient role for test email

Request Body schema: application/json
required
id
string

Resource identificator.

createdAt
string <date-time>

Process creation timestamp.

Array of objects (SigningProcessStep)

Ordered steps in this signing workflow.

processInitiatorEmail
string

Email of the process initiator.

documentId
string

Document identificator.

documentName
string

Display name of the related document.

initiator
string

Username or code of the initiator.

comment
string

General process comment.

canceled
boolean

Indicates whether process was canceled.

status
string
Enum: "PENDING" "STARTED" "COMPLETED" "CANCELED" "DECLINED"

Current process status.

documentType
string

Type/classification of the document.

ownerGroup
string

Owner group for this process.

completedAt
string <date-time>

Completion timestamp when finished.

initiatorName
string

Full display name of the initiator.

totalSigners
integer <int32>

Total number of signers in the process.

totalSigned
integer <int32>

Number of signers who already signed/approved.

Array of objects (ProcessStepSigner)

Flat signer list of the process.

object (SigningProcessStep)

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "signingProcessSteps": [
    • {
      • "id": "string",
      • "processOrder": 0,
      • "stepStatus": "WAITING_FOR_PREVIOUS",
      • "dueDate": "2019-08-24T14:15:22Z",
      • "processStepSigners": [
        • {
          • "id": "string",
          • "signerName": "string",
          • "signerCountry": "string",
          • "signerPersonalCode": "string",
          • "signerEmail": "string",
          • "signerRole": "VIEWER",
          • "signerComment": "string",
          • "commentForSigner": "string",
          • "signingStatus": "WAITING_FOR_PROCESS",
          • "signerNotification": true,
          • "signerLanguage": "string",
          • "anonymous": true
          }
        ]
      }
    ],
  • "processInitiatorEmail": "string",
  • "documentId": "string",
  • "documentName": "string",
  • "initiator": "string",
  • "comment": "string",
  • "canceled": true,
  • "status": "PENDING",
  • "documentType": "string",
  • "ownerGroup": "string",
  • "completedAt": "2019-08-24T14:15:22Z",
  • "initiatorName": "string",
  • "totalSigners": 0,
  • "totalSigned": 0,
  • "signers": [
    • {
      • "id": "string",
      • "signerName": "string",
      • "signerCountry": "string",
      • "signerPersonalCode": "string",
      • "signerEmail": "string",
      • "signerRole": "VIEWER",
      • "signerComment": "string",
      • "commentForSigner": "string",
      • "signingStatus": "WAITING_FOR_PROCESS",
      • "signerNotification": true,
      • "signerLanguage": "string",
      • "anonymous": true
      }
    ],
  • "currentInProgressStep": {
    • "id": "string",
    • "processOrder": 0,
    • "stepStatus": "WAITING_FOR_PREVIOUS",
    • "dueDate": "2019-08-24T14:15:22Z",
    • "processStepSigners": [
      • {
        • "id": "string",
        • "signerName": "string",
        • "signerCountry": "string",
        • "signerPersonalCode": "string",
        • "signerEmail": "string",
        • "signerRole": "VIEWER",
        • "signerComment": "string",
        • "commentForSigner": "string",
        • "signingStatus": "WAITING_FOR_PROCESS",
        • "signerNotification": true,
        • "signerLanguage": "string",
        • "anonymous": true
        }
      ]
    }
}

auditing-controller

createAuditingEvent

Auditing event create request

Request Body schema: application/json
required
id
string

Resource identificator.

createdAt
string <date-time>

Audit event creation timestamp.

eventType
string
Enum: "PROCESS_STARTED" "PROCESS_CANCELED" "PROCESS_COMPLETED" "PROCESS_UPDATED" "PROCESS_DELETED" "PROCESS_OPENED" "PROCESS_GETALL" "PROCESS_GETONE" "DOCUMENT_CREATE" "DOCUMENT_INFO" "DOCUMENT_DOWNLOAD" "DOCUMENT_DELETE" "DOCUMENT_CREATE_OR_UPDATE" "DOCUMENT_ADDVERSION" "DOCUMENT_UPDATE" "SIGNATURE" "DECLINE" "APPROVE" "TASK_STARTED" "SIGNER_DECLINED" "APPROVER_DECLINED" "SIGNER_SIGNED" "APPROVER_APPROVED" "REMINDER" "FAILURE" "AUDIT_LOGIN_START" "AUDIT_LOGIN_COMPLETED" "AUDIT_LOGIN_FAULT" "AUDIT_EMAIL_REMINDER" "AUTH_COMPLETED" "AUTH_START"

Type of event being audited.

eventOrigin
string

Source/origin of the event.

creator
string

User who initiated the event.

documentId
string

Document identificator.

signerId
string

Signer identificator.

customerPersonalCode
string

Customer personal code.

note
string

Additional audit note.

processId
string

Signing process identificator.

ipAddress
string

Request IP address.

containerId
string

Container identificator.

method
string

Method or operation name.

clientAppName
string

Client application name.

Responses

Request samples

Content type
application/json
{
  • "id": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "eventType": "PROCESS_STARTED",
  • "eventOrigin": "string",
  • "creator": "string",
  • "documentId": "string",
  • "signerId": "string",
  • "customerPersonalCode": "string",
  • "note": "string",
  • "processId": "string",
  • "ipAddress": "string",
  • "containerId": "string",
  • "method": "string",
  • "clientAppName": "string"
}

process-step-signer-controller

listSignerTasks

Signer tasks/documents list request

query Parameters
personalCode
required
string
Example: personalCode=010190-12345

Person code used to identify signer/customer.

country
required
string
Example: country=LV

Country code of personal code (for example LV, LT, EE)

signerId
required
string
Example: signerId=ef0174d7-f2c8-4f2f-8de8-f327f0fef922

Signer identificator.

createdDateBefore
string <date>
Example: createdDateBefore=2026-02-17

Return records created on or before this date

createdDateAfter
string <date>
Example: createdDateAfter=2026-02-01

Return records created on or after this date

processStatus
string
Example: processStatus=STARTED

Signing process status filter

nameSearch
string
Example: nameSearch=John

Name filter value

size
integer <int32>
Example: size=25

Page size

sort
string
Example: sort=createdAt,desc

Sort expression, for example createdAt,desc

nonExpired
boolean
Example: nonExpired=true

Return only non-expired records when true

page
integer <int32>

Page number (starts from 0)

Responses

sendSignerEmail

Signer notification email trigger request

path Parameters
processSignerId
required
string
Example: ef0174d7-f2c8-4f2f-8de8-f327f0fef922

Process signer identificator.

Responses

listSignerSteps

Signer steps list request by person code and country

path Parameters
personCode
required
string
Example: 010190-12345

Person code used to identify signer in external portal request.

country
required
string
Example: LV

Country code of personal code (for example LV, LT, EE)

Responses

listSignerDocuments

Signer documents list request by person code and country

path Parameters
personCode
required
string
Example: 010190-12345

Person code used to identify signer in external portal request.

country
required
string
Example: LV

Country code of personal code (for example LV, LT, EE)

Responses